[**@rxap/data-grid v19.0.3-dev.0**](../README.md)

***

[@rxap/data-grid](../globals.md) / IsEmptyPipe

# Class: IsEmptyPipe\<T\>

Defined in: [is-empty.pipe.ts:13](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/data-grid/src/lib/is-empty.pipe.ts#L13)

## Type Parameters

• **T** *extends* `Record`\<`string`, `unknown`\>

## Implements

- `PipeTransform`

## Constructors

### new IsEmptyPipe()

> **new IsEmptyPipe**\<`T`\>(): [`IsEmptyPipe`](IsEmptyPipe.md)\<`T`\>

#### Returns

[`IsEmptyPipe`](IsEmptyPipe.md)\<`T`\>

## Methods

### transform()

> **transform**(`data`, `path`?): `Observable`\<`boolean`\>

Defined in: [is-empty.pipe.ts:15](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/data-grid/src/lib/is-empty.pipe.ts#L15)

#### Parameters

##### data

`Observable`\<`T`\>

##### path?

`string`

#### Returns

`Observable`\<`boolean`\>

#### Implementation of

`PipeTransform.transform`
